Skip to main content
System Global Type/Long Job Operations

SubmitLongJob

SubmitLongJob

POST/zstack/v1/longjobs

Operation ID

SubmitLongJob

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      String

      Optional. The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • jobName
      StringRequired

      The job name.

    • jobData
      StringRequired

      The job data.

    • resourceUuid
      String

      Optional. The resource UUID.

    • targetResourceUuid
      String

      Optional. The UUID of the target resource.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LongJobInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • apiId
      StringRequired

      The API ID used to associate with the task progress.

    • jobName
      StringRequired

      The job name.

    • jobData
      StringRequired

      The job data.

    • jobResult
      StringRequired

      The job result.

    • targetResourceUuid
      StringRequired

      The target resource UUID.

    • managementNodeUuid
      StringRequired

      The management node UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      LongJobStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.